"{ Package: 'stx:libbasic3' }"

Change subclass:#InvalidChange
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'System-Changes'
!

!InvalidChange class methodsFor:'documentation'!

documentation
"
    I represent unhandled change chunks (in a changeFile)
"
! !

!InvalidChange methodsFor:'applying'!

apply
    ^ self error:'Invalid change, cannot apply'

    "Modified: / 24-01-2012 / 16:50:52 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!InvalidChange methodsFor:'printing & storing'!

printOn:aStream
    "append a printed representation if the receiver to the argument, aStream"

    aStream nextPutAll: 'Invalid change'

    "Modified: / 24-01-2012 / 16:51:56 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!InvalidChange class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic3/InvalidChange.st,v 1.2 2013-01-18 12:55:23 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libbasic3/InvalidChange.st,v 1.2 2013-01-18 12:55:23 cg Exp $'
! !

